<html><body><samp><pre>
<!@TC:1521724124>
# Thu Mar 22 14:08:39 2018

<a name=mapperReport312></a>Synopsys Microsemi Technology Mapper, Version mapact, Build 1920R, Built Nov 17 2016 09:40:34</a>
Copyright (C) 1994-2016 Synopsys, Inc. All rights reserved. This Synopsys software and all associated documentation are proprietary to Synopsys, Inc. and may only be used pursuant to the terms and conditions of a written license agreement with Synopsys, Inc. All other use, reproduction, modification, or distribution of the Synopsys software or the associated documentation is strictly prohibited.
Product Version L-2016.09M-2

Mapper Startup Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 99MB peak: 99MB)

@N:<a href="@N:MF248:@XP_HELP">MF248</a> : <!@TM:1521724124> | Running in 64-bit mode. 
@N:<a href="@N:MF667:@XP_HELP">MF667</a> : <!@TM:1521724124> | Clock conversion disabled. (Command "set_option -fix_gated_and_generated_clocks 0" in the project file.) 

Design Input Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 99MB peak: 101MB)


Mapper Initialization Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 99MB peak: 101MB)



Starting Optimization and Mapping (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 112MB peak: 113MB)

@N:<a href="@N:MO111:@XP_HELP">MO111</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:162:20:162:35:@N:MO111:@XP_MSG">sgefeapplication.sv(162)</a><!@TM:1521724124> | Tristate driver GpioConnD_iob24_1 (in view: work.SGefeApplication(verilog)) on net GpioConnD_iob24_1 (in view: work.SGefeApplication(verilog)) has its enable tied to GND.
@N:<a href="@N:MO111:@XP_HELP">MO111</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:162:20:162:35:@N:MO111:@XP_MSG">sgefeapplication.sv(162)</a><!@TM:1521724124> | Tristate driver GpioConnD_iob24_2 (in view: work.SGefeApplication(verilog)) on net GpioConnD_iob24_2 (in view: work.SGefeApplication(verilog)) has its enable tied to GND.
@N:<a href="@N:MO111:@XP_HELP">MO111</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:162:20:162:35:@N:MO111:@XP_MSG">sgefeapplication.sv(162)</a><!@TM:1521724124> | Tristate driver GpioConnD_iob24_3 (in view: work.SGefeApplication(verilog)) on net GpioConnD_iob24_3 (in view: work.SGefeApplication(verilog)) has its enable tied to GND.
@N:<a href="@N:MO111:@XP_HELP">MO111</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:162:20:162:35:@N:MO111:@XP_MSG">sgefeapplication.sv(162)</a><!@TM:1521724124> | Tristate driver GpioConnD_iob24_4 (in view: work.SGefeApplication(verilog)) on net GpioConnD_iob24_4 (in view: work.SGefeApplication(verilog)) has its enable tied to GND.
@N:<a href="@N:MO111:@XP_HELP">MO111</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:162:20:162:35:@N:MO111:@XP_MSG">sgefeapplication.sv(162)</a><!@TM:1521724124> | Tristate driver GpioConnD_iob24_5 (in view: work.SGefeApplication(verilog)) on net GpioConnD_iob24_5 (in view: work.SGefeApplication(verilog)) has its enable tied to GND.
@N:<a href="@N:MO111:@XP_HELP">MO111</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:162:20:162:35:@N:MO111:@XP_MSG">sgefeapplication.sv(162)</a><!@TM:1521724124> | Tristate driver GpioConnD_iob24_6 (in view: work.SGefeApplication(verilog)) on net GpioConnD_iob24_6 (in view: work.SGefeApplication(verilog)) has its enable tied to GND.
@N:<a href="@N:MO111:@XP_HELP">MO111</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:162:20:162:35:@N:MO111:@XP_MSG">sgefeapplication.sv(162)</a><!@TM:1521724124> | Tristate driver GpioConnD_iob24_7 (in view: work.SGefeApplication(verilog)) on net GpioConnD_iob24_7 (in view: work.SGefeApplication(verilog)) has its enable tied to GND.
@N:<a href="@N:MO111:@XP_HELP">MO111</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:162:20:162:35:@N:MO111:@XP_MSG">sgefeapplication.sv(162)</a><!@TM:1521724124> | Tristate driver GpioConnD_iob24_8 (in view: work.SGefeApplication(verilog)) on net GpioConnD_iob24_8 (in view: work.SGefeApplication(verilog)) has its enable tied to GND.
@N:<a href="@N:MO111:@XP_HELP">MO111</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:162:20:162:35:@N:MO111:@XP_MSG">sgefeapplication.sv(162)</a><!@TM:1521724124> | Tristate driver GpioConnD_iob24_9 (in view: work.SGefeApplication(verilog)) on net GpioConnD_iob24_9 (in view: work.SGefeApplication(verilog)) has its enable tied to GND.
@N:<a href="@N:MO111:@XP_HELP">MO111</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:162:20:162:35:@N:MO111:@XP_MSG">sgefeapplication.sv(162)</a><!@TM:1521724124> | Tristate driver GpioConnD_iob24_10 (in view: work.SGefeApplication(verilog)) on net GpioConnD_iob24_10 (in view: work.SGefeApplication(verilog)) has its enable tied to GND.

Available hyper_sources - for debug and ip models
	None Found


Finished RTL optimizations (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 113MB peak: 114MB)

@N:<a href="@N:MO231:@XP_HELP">MO231</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:363:0:363:6:@N:MO231:@XP_MSG">sgefeapplication.sv(363)</a><!@TM:1521724124> | Found counter in view:work.SGefeTop(verilog) instance i_SGefeApplication.TestCntr_cb16[12:0] 
@N:<a href="@N:BN362:@XP_HELP">BN362</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:363:0:363:6:@N:BN362:@XP_MSG">sgefeapplication.sv(363)</a><!@TM:1521724124> | Removing sequential instance i_SGefeApplication.TestCntr_cb16[12] (in view: work.SGefeTop(verilog)) of type view:PrimLib.dff(prim) because it does not drive other instances.
@N:<a href="@N:BN362:@XP_HELP">BN362</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:363:0:363:6:@N:BN362:@XP_MSG">sgefeapplication.sv(363)</a><!@TM:1521724124> | Removing sequential instance i_SGefeApplication.TestCntr_cb16[11] (in view: work.SGefeTop(verilog)) of type view:PrimLib.dff(prim) because it does not drive other instances.
@N:<a href="@N:BN362:@XP_HELP">BN362</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:363:0:363:6:@N:BN362:@XP_MSG">sgefeapplication.sv(363)</a><!@TM:1521724124> | Removing sequential instance i_SGefeApplication.TestCntr_cb16[10] (in view: work.SGefeTop(verilog)) of type view:PrimLib.dff(prim) because it does not drive other instances.
@N:<a href="@N:BN362:@XP_HELP">BN362</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:363:0:363:6:@N:BN362:@XP_MSG">sgefeapplication.sv(363)</a><!@TM:1521724124> | Removing sequential instance i_SGefeApplication.TestCntr_cb16[9] (in view: work.SGefeTop(verilog)) of type view:PrimLib.dff(prim) because it does not drive other instances.
@N:<a href="@N:BN362:@XP_HELP">BN362</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:363:0:363:6:@N:BN362:@XP_MSG">sgefeapplication.sv(363)</a><!@TM:1521724124> | Removing sequential instance i_SGefeApplication.TestCntr_cb16[8] (in view: work.SGefeTop(verilog)) of type view:PrimLib.dff(prim) because it does not drive other instances.
@N:<a href="@N:BN362:@XP_HELP">BN362</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\sgefeapplication.sv:363:0:363:6:@N:BN362:@XP_MSG">sgefeapplication.sv(363)</a><!@TM:1521724124> | Removing sequential instance i_SGefeApplication.TestCntr_cb16[7] (in view: work.SGefeTop(verilog)) of type view:PrimLib.dff(prim) because it does not drive other instances.
@N:<a href="@N:MF238:@XP_HELP">MF238</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\heartbeat.v:68:36:68:56:@N:MF238:@XP_MSG">heartbeat.v(68)</a><!@TM:1521724124> | Found 32-bit incrementor, 'un3_HeartBeatCntr_c32[31:0]'
@N:<a href="@N:MF238:@XP_HELP">MF238</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\heartbeat.v:68:36:68:56:@N:MF238:@XP_MSG">heartbeat.v(68)</a><!@TM:1521724124> | Found 32-bit incrementor, 'un16_HeartBeatCntr_c32[31:0]'
@N:<a href="@N:MF238:@XP_HELP">MF238</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\heartbeat.v:68:36:68:56:@N:MF238:@XP_MSG">heartbeat.v(68)</a><!@TM:1521724124> | Found 32-bit incrementor, 'un16_HeartBeatCntr_c32[31:0]'
@N:<a href="@N:MO231:@XP_HELP">MO231</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\useriochecker.v:96:4:96:10:@N:MO231:@XP_MSG">useriochecker.v(96)</a><!@TM:1521724124> | Found counter in view:work.UserIoChecker_100s_30s_10s_1_2_4_8_16_32(verilog) instance i[31:0] 
Encoding state machine State_qb6[5:0] (in view: work.UserIoChecker_100s_30s_10s_1_2_4_8_16_32(verilog))
original code -> new code
   000001 -> 000000
   000010 -> 000011
   000100 -> 000101
   001000 -> 001001
   010000 -> 010001
   100000 -> 100001
@N:<a href="@N:MF238:@XP_HELP">MF238</a> : <a href="e:\work_git\s-gefe\s-gefe_test\proasic3\hdl\useriochecker.v:124:48:124:60:@N:MF238:@XP_MSG">useriochecker.v(124)</a><!@TM:1521724124> | Found 8-bit incrementor, 'un1_Timer_qb8_6[7:0]'

Starting factoring (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 115MB peak: 116MB)


Finished factoring (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 132MB peak: 133MB)


Finished gated-clock and generated-clock conversion (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 130MB peak: 134MB)


Finished generic timing optimizations - Pass 1 (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 130MB peak: 139MB)


Starting Early Timing Optimization (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 131MB peak: 139MB)


Finished Early Timing Optimization (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 131MB peak: 139MB)


Finished generic timing optimizations - Pass 2 (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 130MB peak: 139MB)


Finished preparing to map (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 129MB peak: 139MB)


Finished technology mapping (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 141MB peak: 144MB)


High Fanout Net Report
**********************

Driver Instance / Pin Name                                             Fanout, notes                   
-------------------------------------------------------------------------------------------------------
i_SGefeSystem.i_PorPpr_d2 / Q                                          141 : 132 asynchronous set/reset
i_SGefeApplication.un1_AppReset_ra / Y                                 411                             
i_SGefeApplication.i_FmcUserIoChecker.i[0] / Q                         31                              
i_SGefeApplication.i_FmcUserIoChecker.i[1] / Q                         27                              
i_SGefeApplication.i_FmcUserIoChecker.i[2] / Q                         29                              
i_SGefeApplication.i_FmcUserIoChecker.i[3] / Q                         32                              
i_SGefeApplication.i_FmcUserIoChecker.i[4] / Q                         29                              
i_SGefeApplication.i_FmcUserIoChecker.i[5] / Q                         26                              
i_SGefeApplication.i_FmcUserIoChecker.i[6] / Q                         28                              
i_SGefeApplication.i_FmcUserIoChecker.State_qb6[2] / Q                 118                             
i_SGefeApplication.i_FmcUserIoChecker.State_qb6[3] / Q                 95                              
i_SGefeApplication.i_FmcUserIoChecker.State_qb6_i_0[0] / Q             309                             
DipSwitch_ib8_pad[7] / Y                                               85                              
i_SGefeApplication.i_FmcUserIoChecker.ilde_i_a3_0_a2 / Y               32                              
i_SGefeApplication.i_FmcUserIoChecker.DataO_qb_dec_0_30_0_a2 / Y       63                              
i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_17_i_0_0_0 / Y     34                              
i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_19 / Y             100                             
i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_18_i_i_o2 / Y      100                             
i_SGefeApplication.i_FmcUserIoChecker.DataO_qb532_i_0 / Y              176                             
i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_14_0_i / Y         100                             
=======================================================================================================

@N:<a href="@N:FP130:@XP_HELP">FP130</a> : <!@TM:1521724124> | Promoting Net i_SGefeApplication.un1_AppReset_ra on CLKINT  I_228  

Finished technology timing optimizations and critical path resynthesis (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 141MB peak: 144MB)

Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_14_0_i, fanout 100 segments 5
Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.DataO_qb532_i_0, fanout 176 segments 8
Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_18_i_i_o2, fanout 100 segments 5
Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_19, fanout 100 segments 5
Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.un1_State_qb6_17_i_0_0_0, fanout 34 segments 2
Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.DataO_qb_dec_0_30_0_a2, fanout 63 segments 3
Replicating Combinational Instance i_SGefeApplication.i_FmcUserIoChecker.ilde_i_a3_0_a2, fanout 32 segments 2
Buffering DipSwitch_ib8_c[7], fanout 85 segments 4
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.State_qb6_i_0[0], fanout 313 segments 14
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.State_qb6[3], fanout 95 segments 4
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.State_qb6[2], fanout 126 segments 6
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[6], fanout 28 segments 2
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[5], fanout 26 segments 2
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[4], fanout 29 segments 2
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[3], fanout 32 segments 2
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[2], fanout 29 segments 2
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[1], fanout 27 segments 2
Replicating Sequential Instance i_SGefeApplication.i_FmcUserIoChecker.i[0], fanout 31 segments 2
Replicating Sequential Instance i_SGefeSystem.i_PorPpr_d2, fanout 141 segments 6

Added 3 Buffers
Added 56 Cells via replication
	Added 33 Sequential Cells via replication
	Added 23 Combinational Cells via replication

Finished restoring hierarchy (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 142MB peak: 144MB)



@S |Clock Optimization Summary


<a name=clockReport313></a>#### START OF CLOCK OPTIMIZATION REPORT #####[</a>

Clock optimization not enabled
1 non-gated/non-generated clock tree(s) driving 15 clock pin(s) of sequential element(s)
4 gated/generated clock tree(s) driving 784 clock pin(s) of sequential element(s)
0 instances converted, 784 sequential instances remain driven by gated/generated clocks

=================================== Non-Gated/Non-Generated Clocks ====================================
Clock Tree ID     Driving Element     Drive Element Type           Fanout     Sample Instance          
-------------------------------------------------------------------------------------------------------
<a href="@|S:Osc25Mhz_ik@|E:i_SGefeSystem.i_PorPpr_d1@|F:@syn_sample_clock_path==CKID0005@|M:ClockId0005  @XP_NAMES_BY_PROP">ClockId0005 </a>       Osc25Mhz_ik         clock definition on port     15         i_SGefeSystem.i_PorPpr_d1
=======================================================================================================
============================================================================================================== Gated/Generated Clocks ==============================================================================================================
Clock Tree ID     Driving Element                                Drive Element Type                  Fanout     Sample Instance                                                          Explanation                                                
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
<a href="@|S:i_SGefeSystem.i_GbtxElinksDclkCg_ibuf@|E:i_SGefeApplication.TestToGbtTx_qb80[10]@|F:@syn_sample_clock_path==CKID0001@|M:ClockId0001  @XP_NAMES_BY_PROP">ClockId0001 </a>       i_SGefeSystem.i_GbtxElinksDclkCg_ibuf          clock definition on CLKBUF_LVDS     717        i_SGefeApplication.TestToGbtTx_qb80[10]                                  Clock conversion disabled                                  
<a href="@|S:i_SGefeApplication.i_ClkFeedback0_ibuf@|E:i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[31]@|F:@syn_sample_clock_path==CKID0002@|M:ClockId0002  @XP_NAMES_BY_PROP">ClockId0002 </a>       i_SGefeApplication.i_ClkFeedback0_ibuf         clock definition on CLKBUF_LVDS     33         i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[31]           Clock conversion disabled                                  
<a href="@|S:i_SGefeApplication.i_ClkFeedback1_ibuf@|E:i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[31]@|F:@syn_sample_clock_path1==CKID0003@|M:ClockId0003  @XP_NAMES_BY_PROP">ClockId0003 </a>       i_SGefeApplication.i_ClkFeedback1_ibuf         clock definition on INBUF_LVDS      33         i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[31]     Clock conversion disabled                                  
<a href="@|S:i_SGefeApplication.i_GbtxElinksDclkCg_ibuf@|E:i_SGefeApplication.ClkFeedback_gen[1].i_ClkFeedback_oddr@|F:@syn_sample_clock_path==CKID0004@|M:ClockId0004  @XP_NAMES_BY_PROP">ClockId0004 </a>       i_SGefeApplication.i_GbtxElinksDclkCg_ibuf     clock definition on CLKBUF_LVDS     1          i_SGefeApplication.ClkFeedback_gen[1].i_ClkFeedback_oddr                 No gated clock conversion method for cell cell:pa3l.DDR_OUT
====================================================================================================================================================================================================================================================


##### END OF CLOCK OPTIMIZATION REPORT ######]


Start Writing Netlists (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 135MB peak: 144MB)

Writing Analyst data base E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\synwork\SGefeTop_m.srm

Finished Writing Netlist Databases (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:04s; Memory used current: 138MB peak: 144MB)

Writing EDIF Netlist and constraint files
L-2016.09M-2

Finished Writing EDIF Netlist and constraint files (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:05s; Memory used current: 141MB peak: 144MB)


Start final timing analysis (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:05s; Memory used current: 138MB peak: 144MB)

@N:<a href="@N:MT615:@XP_HELP">MT615</a> : <!@TM:1521724124> | Found clock GbtxClockDes with period 25.00ns  
@N:<a href="@N:MT615:@XP_HELP">MT615</a> : <!@TM:1521724124> | Found clock GbtxElinksDclk with period 25.00ns  
@N:<a href="@N:MT615:@XP_HELP">MT615</a> : <!@TM:1521724124> | Found clock Osc25Mhz with period 40.00ns  
@N:<a href="@N:MT615:@XP_HELP">MT615</a> : <!@TM:1521724124> | Found clock ClkFeedback0 with period 40.00ns  
@N:<a href="@N:MT615:@XP_HELP">MT615</a> : <!@TM:1521724124> | Found clock ClkFeedback1 with period 25.00ns  


<a name=timingReport314></a>##### START OF TIMING REPORT #####[</a>
# Timing Report written on Thu Mar 22 14:08:44 2018
#


Top view:               SGefeTop
Library name:           pa3l
Operating conditions:   COMWCSTD ( T = 70.0, V = 1.14, P = 1.26, tree_type = balanced_tree )
Requested Frequency:    25.0 MHz
Wire load mode:         top
Wire load model:        pa3l
Paths requested:        5
Constraint File(s):    E:\work_git\S-GEFE\S-GEFE_Test\proasic3\constraint\SGefe_Application_Timing.sdc
                       E:\work_git\S-GEFE\S-GEFE_Test\proasic3\constraint\SGefe_System_Timing.sdc
                       
@N:<a href="@N:MT320:@XP_HELP">MT320</a> : <!@TM:1521724124> | This timing report is an estimate of place and route data. For final timing results, use the FPGA vendor place and route report. 

@N:<a href="@N:MT322:@XP_HELP">MT322</a> : <!@TM:1521724124> | Clock constraints include only register-to-register paths associated with each individual clock. 



<a name=performanceSummary315></a>Performance Summary</a>
*******************


Worst slack in design: 0.367

                   Requested     Estimated     Requested     Estimated                Clock        Clock      
Starting Clock     Frequency     Frequency     Period        Period        Slack      Type         Group      
--------------------------------------------------------------------------------------------------------------
ClkFeedback0       25.0 MHz      116.4 MHz     40.000        8.594         31.406     declared     group_12_44
ClkFeedback1       40.0 MHz      116.4 MHz     25.000        8.594         16.406     declared     group_12_45
GbtxClockDes       40.0 MHz      40.6 MHz      25.000        24.633        0.367      declared     group_14_52
GbtxElinksDclk     40.0 MHz      NA            25.000        NA            NA         declared     group_12_43
Osc25Mhz           25.0 MHz      128.1 MHz     40.000        7.806         32.194     declared     group_14_51
==============================================================================================================
@N:<a href="@N:MT582:@XP_HELP">MT582</a> : <!@TM:1521724124> | Estimated period and frequency not reported for given clock unless the clock has at least one timing path which is not a false or a max delay path and that does not have excessive slack 





<a name=clockRelationships316></a>Clock Relationships</a>
*******************

Clocks                      |    rise  to  rise    |    fall  to  fall   |    rise  to  fall   |    fall  to  rise 
-------------------------------------------------------------------------------------------------------------------
Starting      Ending        |  constraint  slack   |  constraint  slack  |  constraint  slack  |  constraint  slack
-------------------------------------------------------------------------------------------------------------------
ClkFeedback0  ClkFeedback0  |  40.000      31.406  |  No paths    -      |  No paths    -      |  No paths    -    
ClkFeedback1  ClkFeedback1  |  25.000      16.406  |  No paths    -      |  No paths    -      |  No paths    -    
Osc25Mhz      Osc25Mhz      |  40.000      32.194  |  No paths    -      |  No paths    -      |  No paths    -    
Osc25Mhz      GbtxClockDes  |  Diff grp    -       |  No paths    -      |  No paths    -      |  No paths    -    
GbtxClockDes  GbtxClockDes  |  25.000      0.367   |  No paths    -      |  No paths    -      |  No paths    -    
===================================================================================================================
 Note: 'No paths' indicates there are no paths in the design for that pair of clock edges.
       'Diff grp' indicates that paths exist but the starting clock and ending clock are in different clock groups.



<a name=interfaceInfo317></a>Interface Information </a>
*********************

No IO constraint found



====================================
<a name=clockReport318></a>Detailed Report for Clock: ClkFeedback0</a>
====================================



<a name=startingSlack319></a>Starting Points with Worst Slack</a>
********************************

                                                                   Starting                                                      Arrival           
Instance                                                           Reference        Type       Pin     Net                       Time        Slack 
                                                                   Clock                                                                           
---------------------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[4]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[4]      0.797       31.406
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[3]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[3]      0.797       31.431
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[5]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[5]      0.797       31.438
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[8]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[8]      0.797       31.778
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[1]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[1]      0.797       31.799
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[11]     ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[11]     0.797       31.841
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[2]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[2]      0.797       31.866
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[0]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[0]      0.797       31.879
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[10]     ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[10]     0.797       31.880
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[7]      ClkFeedback0     DFN1C0     Q       HeartBeatCntr_c32[7]      0.797       31.885
===================================================================================================================================================


<a name=endingSlack320></a>Ending Points with Worst Slack</a>
******************************

                                                                   Starting                                                        Required           
Instance                                                           Reference        Type       Pin     Net                         Time         Slack 
                                                                   Clock                                                                              
------------------------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[28]     ClkFeedback0     DFN1C0     D       I_89                        39.417       31.406
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[29]     ClkFeedback0     DFN1C0     D       I_92                        39.417       31.406
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[30]     ClkFeedback0     DFN1C0     D       I_95                        39.417       31.406
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[31]     ClkFeedback0     DFN1C0     D       I_98                        39.417       31.406
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeat_oq              ClkFeedback0     DFN1C0     D       HeartBeat_oq_RNO            39.417       31.431
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[6]      ClkFeedback0     DFN1C0     D       HeartBeatCntr_c32_3[6]      39.417       31.471
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[11]     ClkFeedback0     DFN1C0     D       HeartBeatCntr_c32_3[11]     39.417       31.471
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[12]     ClkFeedback0     DFN1C0     D       HeartBeatCntr_c32_3[12]     39.417       31.471
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[13]     ClkFeedback0     DFN1C0     D       HeartBeatCntr_c32_3[13]     39.417       31.471
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[14]     ClkFeedback0     DFN1C0     D       HeartBeatCntr_c32_3[14]     39.417       31.471
======================================================================================================================================================



<a name=worstPaths321></a>Worst Path Information</a>
<a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\synlog\SGefeTop_fpga_mapper.srr:srsfE:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.srs:fp:26737:29149:@XP_NAMES_GATE">View Worst Path in Analyst</a>
***********************


Path information for path number 1: 
      Requested Period:                      40.000
    - Setup time:                            0.583
    + Clock delay at ending point:           0.000 (ideal)
    = Required time:                         39.417

    - Propagation time:                      8.011
    - Clock delay at starting point:         0.000 (ideal)
    = Slack (non-critical) :                 31.406

    Number of logic level(s):                5
    Starting point:                          i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[4] / Q
    Ending point:                            i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[28] / D
    The start point is clocked by            ClkFeedback0 [rising] on pin CLK
    The end   point is clocked by            ClkFeedback0 [rising] on pin CLK

Instance / Net                                                                     Pin      Pin               Arrival     No. of    
Name                                                                    Type       Name     Dir     Delay     Time        Fan Out(s)
------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[4]           DFN1C0     Q        Out     0.797     0.797       -         
HeartBeatCntr_c32[4]                                                    Net        -        -       0.927     -           5         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_18     AND3       B        In      -         1.724       -         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_18     AND3       Y        Out     0.656     2.380       -         
DWACT_FINC_E[2]                                                         Net        -        -       1.032     -           6         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_68     AND3       B        In      -         3.412       -         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_68     AND3       Y        Out     0.656     4.068       -         
DWACT_FINC_E[29]                                                        Net        -        -       1.032     -           6         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_87     AND2       A        In      -         5.100       -         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_87     AND2       Y        Out     0.556     5.657       -         
DWACT_FINC_E[24]                                                        Net        -        -       0.858     -           4         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_88     AND3       A        In      -         6.515       -         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_88     AND3       Y        Out     0.502     7.017       -         
N_5                                                                     Net        -        -       0.233     -           1         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_89     XOR2       A        In      -         7.250       -         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.un3_HeartBeatCntr_c32.I_89     XOR2       Y        Out     0.528     7.778       -         
I_89                                                                    Net        -        -       0.233     -           1         
i_SGefeApplication.i_Osc25MhzFeedBack0Hb.HeartBeatCntr_c32[28]          DFN1C0     D        In      -         8.011       -         
====================================================================================================================================
Total path delay (propagation time + setup) of 8.594 is 4.278(49.8%) logic and 4.316(50.2%) route.
Path delay compensated for clock skew. Clock skew is added to clock-to-out value, and is subtracted from setup time value




====================================
<a name=clockReport322></a>Detailed Report for Clock: ClkFeedback1</a>
====================================



<a name=startingSlack323></a>Starting Points with Worst Slack</a>
********************************

                                                                         Starting                                                      Arrival           
Instance                                                                 Reference        Type       Pin     Net                       Time        Slack 
                                                                         Clock                                                                           
---------------------------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[4]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[4]      0.797       16.406
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[5]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[5]      0.797       16.438
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[3]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[3]      0.797       16.456
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[21]     ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[21]     0.797       16.743
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[8]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[8]      0.797       16.778
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[1]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[1]      0.797       16.799
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[12]     ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[12]     0.797       16.865
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[2]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[2]      0.797       16.866
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[0]      ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[0]      0.797       16.879
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[10]     ClkFeedback1     DFN1C0     Q       HeartBeatCntr_c32[10]     0.797       16.880
=========================================================================================================================================================


<a name=endingSlack324></a>Ending Points with Worst Slack</a>
******************************

                                                                         Starting                                                        Required           
Instance                                                                 Reference        Type       Pin     Net                         Time         Slack 
                                                                         Clock                                                                              
------------------------------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[28]     ClkFeedback1     DFN1C0     D       I_89_0                      24.417       16.406
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[29]     ClkFeedback1     DFN1C0     D       I_92_0                      24.417       16.406
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[30]     ClkFeedback1     DFN1C0     D       I_95_0                      24.417       16.406
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[31]     ClkFeedback1     DFN1C0     D       I_98_0                      24.417       16.406
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeat_oq              ClkFeedback1     DFN1C0     D       HeartBeat_oq_RNO_0          24.417       16.743
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[9]      ClkFeedback1     DFN1C0     D       HeartBeatCntr_c32_7[9]      24.417       16.782
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[11]     ClkFeedback1     DFN1C0     D       HeartBeatCntr_c32_7[11]     24.417       16.782
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[12]     ClkFeedback1     DFN1C0     D       HeartBeatCntr_c32_7[12]     24.417       16.782
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[14]     ClkFeedback1     DFN1C0     D       HeartBeatCntr_c32_7[14]     24.417       16.782
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[17]     ClkFeedback1     DFN1C0     D       HeartBeatCntr_c32_7[17]     24.417       16.782
============================================================================================================================================================



<a name=worstPaths325></a>Worst Path Information</a>
<a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\synlog\SGefeTop_fpga_mapper.srr:srsfE:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.srs:fp:35824:38362:@XP_NAMES_GATE">View Worst Path in Analyst</a>
***********************


Path information for path number 1: 
      Requested Period:                      25.000
    - Setup time:                            0.583
    + Clock delay at ending point:           0.000 (ideal)
    = Required time:                         24.417

    - Propagation time:                      8.011
    - Clock delay at starting point:         0.000 (ideal)
    = Slack (non-critical) :                 16.406

    Number of logic level(s):                5
    Starting point:                          i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[4] / Q
    Ending point:                            i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[28] / D
    The start point is clocked by            ClkFeedback1 [rising] on pin CLK
    The end   point is clocked by            ClkFeedback1 [rising] on pin CLK

Instance / Net                                                                            Pin      Pin               Arrival     No. of    
Name                                                                           Type       Name     Dir     Delay     Time        Fan Out(s)
-------------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[4]            DFN1C0     Q        Out     0.797     0.797       -         
HeartBeatCntr_c32[4]                                                           Net        -        -       0.927     -           5         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_18     AND3       B        In      -         1.724       -         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_18     AND3       Y        Out     0.656     2.380       -         
DWACT_FINC_E[2]                                                                Net        -        -       1.032     -           6         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_68     AND3       B        In      -         3.412       -         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_68     AND3       Y        Out     0.656     4.068       -         
DWACT_FINC_E[29]                                                               Net        -        -       1.032     -           6         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_87     AND2       A        In      -         5.100       -         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_87     AND2       Y        Out     0.556     5.657       -         
DWACT_FINC_E[24]                                                               Net        -        -       0.858     -           4         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_88     AND3       A        In      -         6.515       -         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_88     AND3       Y        Out     0.502     7.017       -         
N_5                                                                            Net        -        -       0.233     -           1         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_89     XOR2       A        In      -         7.250       -         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.un16_HeartBeatCntr_c32.I_89     XOR2       Y        Out     0.528     7.778       -         
I_89_0                                                                         Net        -        -       0.233     -           1         
i_SGefeApplication.i_GbtxElinksDclkFeedBack1Hb.HeartBeatCntr_c32[28]           DFN1C0     D        In      -         8.011       -         
===========================================================================================================================================
Total path delay (propagation time + setup) of 8.594 is 4.278(49.8%) logic and 4.316(50.2%) route.
Path delay compensated for clock skew. Clock skew is added to clock-to-out value, and is subtracted from setup time value




====================================
<a name=clockReport326></a>Detailed Report for Clock: GbtxClockDes</a>
====================================



<a name=startingSlack327></a>Starting Points with Worst Slack</a>
********************************

                                                Starting                                      Arrival          
Instance                                        Reference        Type       Pin     Net       Time        Slack
                                                Clock                                                          
---------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_FmcUserIoChecker.i[0]      GbtxClockDes     DFN1E0     Q       i[0]      0.628       0.367
i_SGefeApplication.i_FmcUserIoChecker.i[31]     GbtxClockDes     DFN1E0     Q       i[31]     0.628       0.394
i_SGefeApplication.i_FmcUserIoChecker.i[1]      GbtxClockDes     DFN1E0     Q       i[1]      0.628       0.462
i_SGefeApplication.i_FmcUserIoChecker.i[20]     GbtxClockDes     DFN1E0     Q       i[20]     0.628       1.116
i_SGefeApplication.i_FmcUserIoChecker.i[24]     GbtxClockDes     DFN1E0     Q       i[24]     0.628       1.166
i_SGefeApplication.i_FmcUserIoChecker.i[16]     GbtxClockDes     DFN1E0     Q       i[16]     0.628       1.210
i_SGefeApplication.i_FmcUserIoChecker.i[30]     GbtxClockDes     DFN1E0     Q       i[30]     0.628       1.229
i_SGefeApplication.i_FmcUserIoChecker.i[21]     GbtxClockDes     DFN1E0     Q       i[21]     0.628       1.279
i_SGefeApplication.i_FmcUserIoChecker.i[28]     GbtxClockDes     DFN1E0     Q       i[28]     0.628       1.321
i_SGefeApplication.i_FmcUserIoChecker.i[10]     GbtxClockDes     DFN1E0     Q       i[10]     0.628       1.325
===============================================================================================================


<a name=endingSlack328></a>Ending Points with Worst Slack</a>
******************************

                                                           Starting                                                     Required          
Instance                                                   Reference        Type       Pin     Net                      Time         Slack
                                                           Clock                                                                          
------------------------------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_FmcUserIoChecker.i[31]                GbtxClockDes     DFN1E0     D       N_250                    24.380       0.367
i_SGefeApplication.i_FmcUserIoChecker.OnesErrors_qb[0]     GbtxClockDes     DFN1       D       OnesErrors_qb_RNO[0]     24.380       0.394
i_SGefeApplication.i_FmcUserIoChecker.OnesErrors_qb[1]     GbtxClockDes     DFN1       D       OnesErrors_qb_RNO[1]     24.380       0.394
i_SGefeApplication.i_FmcUserIoChecker.OnesErrors_qb[2]     GbtxClockDes     DFN1       D       OnesErrors_qb_RNO[2]     24.380       0.394
i_SGefeApplication.i_FmcUserIoChecker.OnesErrors_qb[3]     GbtxClockDes     DFN1       D       OnesErrors_qb_RNO[3]     24.380       0.394
i_SGefeApplication.i_FmcUserIoChecker.OnesErrors_qb[4]     GbtxClockDes     DFN1       D       OnesErrors_qb_RNO[4]     24.380       0.394
i_SGefeApplication.i_FmcUserIoChecker.OnesErrors_qb[5]     GbtxClockDes     DFN1       D       OnesErrors_qb_RNO[5]     24.380       0.394
i_SGefeApplication.i_FmcUserIoChecker.OnesErrors_qb[6]     GbtxClockDes     DFN1       D       OnesErrors_qb_RNO[6]     24.380       0.394
i_SGefeApplication.i_FmcUserIoChecker.OnesErrors_qb[7]     GbtxClockDes     DFN1       D       OnesErrors_qb_RNO[7]     24.380       0.394
i_SGefeApplication.i_FmcUserIoChecker.OnesErrors_qb[8]     GbtxClockDes     DFN1       D       OnesErrors_qb_RNO[8]     24.380       0.394
==========================================================================================================================================



<a name=worstPaths329></a>Worst Path Information</a>
<a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\synlog\SGefeTop_fpga_mapper.srr:srsfE:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.srs:fp:44032:51232:@XP_NAMES_GATE">View Worst Path in Analyst</a>
***********************


Path information for path number 1: 
      Requested Period:                      25.000
    - Setup time:                            0.620
    + Clock delay at ending point:           0.000 (ideal)
    = Required time:                         24.380

    - Propagation time:                      24.013
    - Clock delay at starting point:         0.000 (ideal)
    = Slack (critical) :                     0.367

    Number of logic level(s):                19
    Starting point:                          i_SGefeApplication.i_FmcUserIoChecker.i[0] / Q
    Ending point:                            i_SGefeApplication.i_FmcUserIoChecker.i[31] / D
    The start point is clocked by            GbtxClockDes [rising] on pin CLK
    The end   point is clocked by            GbtxClockDes [rising] on pin CLK

Instance / Net                                                       Pin      Pin               Arrival     No. of    
Name                                                      Type       Name     Dir     Delay     Time        Fan Out(s)
----------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.i_FmcUserIoChecker.i[0]                DFN1E0     Q        Out     0.628     0.628       -         
i[0]                                                      Net        -        -       1.542     -           15        
i_SGefeApplication.i_FmcUserIoChecker.i_RNIRK1P[1]        OR2B       B        In      -         2.170       -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIRK1P[1]        OR2B       Y        Out     0.558     2.728       -         
N_373                                                     Net        -        -       1.477     -           13        
i_SGefeApplication.i_FmcUserIoChecker.i_RNIQGI51[2]       OR2A       B        In      -         4.205       -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIQGI51[2]       OR2A       Y        Out     0.699     4.904       -         
N_375                                                     Net        -        -       1.477     -           13        
i_SGefeApplication.i_FmcUserIoChecker.i_0_RNIC5E72[5]     OR3A       C        In      -         6.381       -         
i_SGefeApplication.i_FmcUserIoChecker.i_0_RNIC5E72[5]     OR3A       Y        Out     0.812     7.193       -         
N_378                                                     Net        -        -       0.585     -           3         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIF5VJ2[6]       OR2A       B        In      -         7.778       -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIF5VJ2[6]       OR2A       Y        Out     0.699     8.477       -         
N_379                                                     Net        -        -       0.280     -           2         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIJ6G03[7]       OR2A       B        In      -         8.757       -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIJ6G03[7]       OR2A       Y        Out     0.699     9.456       -         
N_3668                                                    Net        -        -       0.280     -           2         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIO81D3[8]       OR2A       B        In      -         9.736       -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIO81D3[8]       OR2A       Y        Out     0.699     10.435      -         
N_383                                                     Net        -        -       0.280     -           2         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIUBIP3[9]       OR2A       B        In      -         10.715      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIUBIP3[9]       OR2A       Y        Out     0.699     11.414      -         
N_384                                                     Net        -        -       0.280     -           2         
i_SGefeApplication.i_FmcUserIoChecker.i_RNICPS64[10]      OR2A       B        In      -         11.694      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNICPS64[10]      OR2A       Y        Out     0.699     12.393      -         
N_385                                                     Net        -        -       0.280     -           2         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIR77K4[11]      OR2A       B        In      -         12.673      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIR77K4[11]      OR2A       Y        Out     0.699     13.372      -         
N_386                                                     Net        -        -       0.585     -           3         
i_SGefeApplication.i_FmcUserIoChecker.i_RNI6G7C8[12]      NOR3B      C        In      -         13.957      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNI6G7C8[12]      NOR3B      Y        Out     0.528     14.485      -         
i_N_13_mux                                                Net        -        -       0.280     -           2         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIM0JP8[21]      OR2B       A        In      -         14.765      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIM0JP8[21]      OR2B       Y        Out     0.528     15.293      -         
N_435                                                     Net        -        -       0.280     -           2         
i_SGefeApplication.i_FmcUserIoChecker.i_RNI7IU69[22]      OR2A       B        In      -         15.572      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNI7IU69[22]      OR2A       Y        Out     0.699     16.272      -         
N_437                                                     Net        -        -       0.280     -           2         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIP4AK9[23]      OR2A       B        In      -         16.551      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIP4AK9[23]      OR2A       Y        Out     0.699     17.251      -         
N_440                                                     Net        -        -       0.585     -           3         
i_SGefeApplication.i_FmcUserIoChecker.i_RNI0D1FA[25]      OR3B       C        In      -         17.835      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNI0D1FA[25]      OR3B       Y        Out     0.812     18.647      -         
N_444                                                     Net        -        -       0.280     -           2         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIL2DSA[26]      OR2A       B        In      -         18.927      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIL2DSA[26]      OR2A       Y        Out     0.699     19.626      -         
N_450                                                     Net        -        -       0.280     -           2         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIBPO9B[27]      OR2A       B        In      -         19.906      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIBPO9B[27]      OR2A       Y        Out     0.699     20.605      -         
N_472                                                     Net        -        -       0.585     -           3         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIQ9G4C[29]      OR2        B        In      -         21.190      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNIQ9G4C[29]      OR2        Y        Out     0.699     21.889      -         
N_3674                                                    Net        -        -       0.280     -           2         
i_SGefeApplication.i_FmcUserIoChecker.i_RNO_0[31]         OR2A       B        In      -         22.169      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNO_0[31]         OR2A       Y        Out     0.699     22.868      -         
N_627                                                     Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.i_RNO[31]           XA1C       B        In      -         23.101      -         
i_SGefeApplication.i_FmcUserIoChecker.i_RNO[31]           XA1C       Y        Out     0.679     23.780      -         
N_250                                                     Net        -        -       0.233     -           1         
i_SGefeApplication.i_FmcUserIoChecker.i[31]               DFN1E0     D        In      -         24.013      -         
======================================================================================================================
Total path delay (propagation time + setup) of 24.633 is 14.257(57.9%) logic and 10.377(42.1%) route.
Path delay compensated for clock skew. Clock skew is added to clock-to-out value, and is subtracted from setup time value




====================================
<a name=clockReport330></a>Detailed Report for Clock: Osc25Mhz</a>
====================================



<a name=startingSlack331></a>Starting Points with Worst Slack</a>
********************************

                                        Starting                                                Arrival           
Instance                                Reference     Type       Pin     Net                    Time        Slack 
                                        Clock                                                                     
------------------------------------------------------------------------------------------------------------------
i_SGefeApplication.TestCntr_cb16[0]     Osc25Mhz      DFN1       Q       FmcTrstL_on_c_c        0.797       32.194
i_SGefeApplication.TestCntr_cb16[1]     Osc25Mhz      DFN1       Q       FmcTms_o_c_c_c         0.797       32.316
i_SGefeApplication.TestCntr_cb16[2]     Osc25Mhz      DFN1       Q       FmcTdo_o_c_c           0.797       33.344
i_SGefeApplication.TestCntr_cb16[3]     Osc25Mhz      DFN1       Q       FmcTdi_i_c_c           0.797       34.302
i_SGefeApplication.TestCntr_cb16[4]     Osc25Mhz      DFN1       Q       FmcTck_o_c             0.797       35.534
i_SGefeSystem.i_PorPpr_d2_3             Osc25Mhz      DFN1C1     Q       GeneralReset_ran_3     0.797       35.791
i_SGefeSystem.i_PorPpr_d2               Osc25Mhz      DFN1C1     Q       GeneralReset_ran       0.797       35.945
i_SGefeApplication.TestCntr_cb16[5]     Osc25Mhz      DFN1       Q       FmcScl_io_c            0.797       36.492
i_SGefeApplication.TestCntr_cb16[6]     Osc25Mhz      DFN1       Q       FmcSda_io_c            0.797       37.002
i_SGefeSystem.i_PorPpr_d1               Osc25Mhz      DFN1C1     Q       PorPpr_rand2[0]        0.797       37.551
==================================================================================================================


<a name=endingSlack332></a>Ending Points with Worst Slack</a>
******************************

                                        Starting                                              Required           
Instance                                Reference     Type       Pin     Net                  Time         Slack 
                                        Clock                                                                    
-----------------------------------------------------------------------------------------------------------------
i_SGefeApplication.TestCntr_cb16[6]     Osc25Mhz      DFN1       D       TestCntr_cb16_n6     39.417       32.194
i_SGefeApplication.TestCntr_cb16[5]     Osc25Mhz      DFN1       D       TestCntr_cb16_n5     39.417       33.106
i_SGefeApplication.TestCntr_cb16[4]     Osc25Mhz      DFN1       D       TestCntr_cb16_n4     39.417       34.064
i_SGefeApplication.TestCntr_cb16[3]     Osc25Mhz      DFN1       D       TestCntr_cb16_n3     39.417       35.023
i_SGefeApplication.TestCntr_cb16[1]     Osc25Mhz      DFN1       D       TestCntr_cb16_n1     39.380       35.791
i_SGefeApplication.TestCntr_cb16[2]     Osc25Mhz      DFN1       D       TestCntr_cb16_n2     39.380       35.791
i_SGefeApplication.TestCntr_cb16[0]     Osc25Mhz      DFN1       D       TestCntr_cb16_n0     39.380       35.945
i_SGefeSystem.i_PorPpr_d2               Osc25Mhz      DFN1C1     D       PorPpr_rand2[0]      39.380       37.551
i_SGefeSystem.i_PorPpr_d2_0             Osc25Mhz      DFN1C1     D       PorPpr_rand2[0]      39.380       37.551
i_SGefeSystem.i_PorPpr_d2_1             Osc25Mhz      DFN1C1     D       PorPpr_rand2[0]      39.380       37.551
=================================================================================================================



<a name=worstPaths333></a>Worst Path Information</a>
<a href="E:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\synlog\SGefeTop_fpga_mapper.srr:srsfE:\work_git\S-GEFE\S-GEFE_Test\proasic3\synthesis\SGefeTop.srs:fp:56493:58782:@XP_NAMES_GATE">View Worst Path in Analyst</a>
***********************


Path information for path number 1: 
      Requested Period:                      40.000
    - Setup time:                            0.583
    + Clock delay at ending point:           0.000 (ideal)
    = Required time:                         39.417

    - Propagation time:                      7.223
    - Clock delay at starting point:         0.000 (ideal)
    = Slack (non-critical) :                 32.194

    Number of logic level(s):                6
    Starting point:                          i_SGefeApplication.TestCntr_cb16[0] / Q
    Ending point:                            i_SGefeApplication.TestCntr_cb16[6] / D
    The start point is clocked by            Osc25Mhz [rising] on pin CLK
    The end   point is clocked by            Osc25Mhz [rising] on pin CLK

Instance / Net                                            Pin      Pin               Arrival     No. of    
Name                                            Type      Name     Dir     Delay     Time        Fan Out(s)
-----------------------------------------------------------------------------------------------------------
i_SGefeApplication.TestCntr_cb16[0]             DFN1      Q        Out     0.797     0.797       -         
FmcTrstL_on_c_c                                 Net       -        -       0.927     -           5         
i_SGefeApplication.TestCntr_cb16_RNIT8T7[0]     NOR2B     B        In      -         1.724       -         
i_SGefeApplication.TestCntr_cb16_RNIT8T7[0]     NOR2B     Y        Out     0.679     2.403       -         
TestCntr_cb16_c1                                Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_cb16_RNITURB[2]     NOR2B     B        In      -         2.683       -         
i_SGefeApplication.TestCntr_cb16_RNITURB[2]     NOR2B     Y        Out     0.679     3.361       -         
TestCntr_cb16_c2                                Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_cb16_RNIULQF[3]     NOR2B     B        In      -         3.641       -         
i_SGefeApplication.TestCntr_cb16_RNIULQF[3]     NOR2B     Y        Out     0.679     4.320       -         
TestCntr_cb16_c3                                Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_cb16_RNI0EPJ[4]     NOR2B     B        In      -         4.599       -         
i_SGefeApplication.TestCntr_cb16_RNI0EPJ[4]     NOR2B     Y        Out     0.679     5.278       -         
TestCntr_cb16_c4                                Net       -        -       0.280     -           2         
i_SGefeApplication.TestCntr_cb16_RNO_0[6]       NOR2B     B        In      -         5.558       -         
i_SGefeApplication.TestCntr_cb16_RNO_0[6]       NOR2B     Y        Out     0.679     6.236       -         
TestCntr_cb16_20_0                              Net       -        -       0.233     -           1         
i_SGefeApplication.TestCntr_cb16_RNO[6]         XA1       A        In      -         6.469       -         
i_SGefeApplication.TestCntr_cb16_RNO[6]         XA1       Y        Out     0.521     6.990       -         
TestCntr_cb16_n6                                Net       -        -       0.233     -           1         
i_SGefeApplication.TestCntr_cb16[6]             DFN1      D        In      -         7.223       -         
===========================================================================================================
Total path delay (propagation time + setup) of 7.806 is 5.293(67.8%) logic and 2.512(32.2%) route.
Path delay compensated for clock skew. Clock skew is added to clock-to-out value, and is subtracted from setup time value



##### END OF TIMING REPORT #####]

Timing exceptions that could not be applied
None

Finished final timing analysis (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:05s; Memory used current: 138MB peak: 144MB)


Finished timing report (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:05s; Memory used current: 138MB peak: 144MB)

--------------------------------------------------------------------------------
Target Part: A3PE3000L_FBGA896_STD
<a name=cellReport334></a>Report for cell SGefeTop.verilog</a>
  Core Cell usage:
              cell count     area count*area
              AND2    62      1.0       62.0
              AND3   194      1.0      194.0
               AO1    73      1.0       73.0
              AO1A   103      1.0      103.0
              AO1B     8      1.0        8.0
              AO1C    90      1.0       90.0
              AOI1     1      1.0        1.0
             AOI1B    37      1.0       37.0
               AX1     2      1.0        2.0
              AX1C     4      1.0        4.0
              AX1D     1      1.0        1.0
             AXOI3     1      1.0        1.0
             AXOI4     1      1.0        1.0
              BUFF     3      1.0        3.0
            CLKINT     2      0.0        0.0
               GND     8      0.0        0.0
               INV     6      1.0        6.0
               MX2   406      1.0      406.0
              MX2A     6      1.0        6.0
              MX2B     3      1.0        3.0
              NOR2   140      1.0      140.0
             NOR2A   566      1.0      566.0
             NOR2B   203      1.0      203.0
              NOR3    10      1.0       10.0
             NOR3A    88      1.0       88.0
             NOR3B    78      1.0       78.0
             NOR3C   162      1.0      162.0
               OA1   198      1.0      198.0
              OA1A    99      1.0       99.0
              OA1B     4      1.0        4.0
              OA1C     4      1.0        4.0
              OAI1     2      1.0        2.0
               OR2   238      1.0      238.0
              OR2A    34      1.0       34.0
              OR2B    16      1.0       16.0
               OR3    87      1.0       87.0
              OR3A    10      1.0       10.0
              OR3B     3      1.0        3.0
              OR3C     1      1.0        1.0
               VCC     8      0.0        0.0
               XA1     6      1.0        6.0
              XA1B     2      1.0        2.0
              XA1C    25      1.0       25.0
              XOR2   131      1.0      131.0


           DDR_OUT    43      0.0        0.0
           DDR_REG    41      0.0        0.0
              DFN1   537      1.0      537.0
            DFN1C0   132      1.0      132.0
            DFN1C1     7      1.0        7.0
            DFN1E0    39      1.0       39.0
                   -----          ----------
             TOTAL  3925              3823.0


  IO Cell usage:
              cell count
    BIBUF_LVCMOS25     1
   CLKBUF_LVCMOS25     1
       CLKBUF_LVDS     3
             INBUF   129
        INBUF_LVDS    47
            OUTBUF   125
       OUTBUF_LVDS    45
           TRIBUFF    89
                   -----
             TOTAL   440


Core Cells         : 3823 of 75264 (5%)
IO Cells           : 440

  RAM/ROM Usage Summary
Block Rams : 0 of 112 (0%)

Mapper successful!

At Mapper Exit (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:05s; Memory used current: 34MB peak: 144MB)

Process took 0h:00m:05s realtime, 0h:00m:05s cputime
# Thu Mar 22 14:08:44 2018

###########################################################]

</pre></samp></body></html>
